Name: springdale-logos
Summary: Springdale-related icons and pictures
Version: 60.0.11
Release: 3.sdl6.1
Group: System Environment/Base
Source0: springdale-logos-%{version}.tar.bz2

License: GPL
URL: http://springdale.princeton.edu
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Conflicts: anaconda-images <= 10
Provides: system-logos = %{version}-%{release}
Provides: redhat-logos = %{version}-%{release}
Provides: puias-logos = %{version}-%{release}
Obsoletes: puias-logos < %{version}-%{release}
Obsoletes: desktop-backgrounds-basic <= 60.0.1-1.el6
Provides: desktop-backgrounds-basic = %{version}-%{release}
Conflicts: redhat-artwork <= 5.0.5
Requires(post): coreutils
# For _kde4_appsdir macro:
BuildRequires: kde-filesystem

%description
Springdale Logos (Street Sign)

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/springdale
for i in springdale/*; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/springdale
done

# should be ifarch i386
mkdir -p $RPM_BUILD_ROOT/boot/grub
install -p -m 644 -D bootloader/splash.xpm.gz $RPM_BUILD_ROOT/boot/grub/splash.xpm.gz
# end i386 bits

mkdir -p $RPM_BUILD_ROOT%{_datadir}/backgrounds/
for i in backgrounds/default* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/backgrounds/
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/
install -p -m 644 backgrounds/desktop-backgrounds-default.xml $RPM_BUILD_ROOT%{_datadir}/gnome-background-properties/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/firstboot/themes/fedora-leonidas
for i in firstboot/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/firstboot/themes/fedora-leonidas
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
for i in gnome-splash/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver
for i in gnome-screensaver/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/gnome-screensaver
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/screensavers
for i in screensavers/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/applications/screensavers
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
for i in pixmaps/* ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/pixmaps
done

pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps
    ln -s system-logo-small.png fedora-logo-small.png
    ln -s system-logo.png fedora-logo.png
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/springdale
for i in plymouth/springdale/*.png ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/springdale
done
install -p -m 644 plymouth/springdale/springdale.plymouth $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/springdale

mkdir -p $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/ias
for i in plymouth/ias/*.png ; do
  install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/ias
done
install -p -m 644 plymouth/ias/ias.plymouth $RPM_BUILD_ROOT%{_datadir}/plymouth/themes/ias

for size in 16x16 24x24 32x32 36x36 48x48 96x96 ; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$size/apps
  for i in icons/hicolor/$size/apps/* ; do
    install -p -m 644 $i $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$size/apps
    pushd $RPM_BUILD_ROOT%{_datadir}/icons/Bluecurve/$size/apps
    ln -s ../../../hicolor/$size/apps/system-logo-icon.png icon-panel-menu.png
    ln -s ../../../hicolor/$size/apps/system-logo-icon.png gnome-main-menu.png
    ln -s ../../../hicolor/$size/apps/system-logo-icon.png kmenu.png
    ln -s ../../../hicolor/$size/apps/system-logo-icon.png start-here.png
    ln -s ../../../hicolor/$size/apps/system-logo-icon.png fedora-logo-icon.png
    popd
  done
done
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
pushd $RPM_BUILD_ROOT%{_sysconfdir}
ln -s %{_datadir}/icons/hicolor/16x16/apps/system-logo-icon.png favicon.png
popd

(cd anaconda; make DESTDIR=$RPM_BUILD_ROOT install)

for i in 16 24 32 36 48 96; do
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/System/${i}x${i}/places
  install -p -m 644 -D $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps/system-logo-icon.png $RPM_BUILD_ROOT%{_datadir}/icons/System/${i}x${i}/places/start-here.png
  install -p -m 644 -D $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${i}x${i}/apps/system-logo-icon.png $RPM_BUILD_ROOT%{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/${i}x${i}/places/start-here.png 
done


mkdir -p $RPM_BUILD_ROOT%{_kde4_appsdir}/ksplash/Themes/
cp -rp kde-splash/Springdale/ $RPM_BUILD_ROOT%{_kde4_appsdir}/ksplash/Themes/
pushd $RPM_BUILD_ROOT%{_kde4_appsdir}/ksplash/Themes/Springdale/2048x1536/
ln -s %{_datadir}/anaconda/pixmaps/splash.png splash.png
ln -s %{_datadir}/backgrounds/default.png background.png
popd

mkdir -p $RPM_BUILD_ROOT/%{_kde4_appsdir}/kdm/themes/
cp -rp kde-kdm/Springdale/ $RPM_BUILD_ROOT/%{_kde4_appsdir}/kdm/themes/
pushd $RPM_BUILD_ROOT/%{_kde4_appsdir}/kdm/themes/Springdale/
ln -s %{_datadir}/backgrounds/default.png background.png
ln -s %{_datadir}/pixmaps/system-logo-white.png system-logo-white.png
popd

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/wallpapers/
cp -rp kde-plasma/Springdale/ $RPM_BUILD_ROOT/%{_datadir}/wallpapers
pushd $RPM_BUILD_ROOT/%{_datadir}/wallpapers/Springdale/contents/images
ln -s %{_datadir}/backgrounds/default.png 2048x1536.png
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
touch --no-create %{_datadir}/icons/Bluecurve || :
touch --no-create %{_datadir}/icons/Fedora || :
touch --no-create %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE ||:
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  if [ -f %{_datadir}/icons/hicolor/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
  fi
  if [ -f %{_datadir}/icons/Bluecurve/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/Bluecurve || :
  fi
  if [ -f %{_datadir}/icons/Fedora/index.theme ]; then
    gtk-update-icon-cache --quiet %{_datadir}/icons/Fedora || :
  fi
fi

%files
%defattr(-, root, root, -)
%doc COPYING
%config(noreplace) %{_sysconfdir}/favicon.png
%{_datadir}/backgrounds/*
%{_datadir}/gnome-background-properties/*
%{_datadir}/firstboot/themes/fedora-leonidas/
%{_datadir}/plymouth/themes/springdale/
%{_datadir}/plymouth/themes/ias/
%{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/*/places/*
%{_datadir}/pixmaps/*
%{_datadir}/anaconda/pixmaps/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/Bluecurve/*/apps/*
%{_datadir}/icons/System/*/places/*
%{_datadir}/gnome-screensaver/*
%{_datadir}/applications/screensavers/*
/usr/lib/anaconda-runtime/boot/*png
/usr/lib/anaconda-runtime/*.sh
/usr/lib/anaconda-runtime/*.png
/usr/lib/anaconda-runtime/*.jpg
%{_kde4_appsdir}/ksplash/Themes/Springdale/
%{_kde4_appsdir}/kdm/themes/Springdale/
%{_kde4_datadir}/wallpapers/Springdale/

# we multi-own these directories, so as not to require the packages that
# provide them, thereby dragging in excess dependencies.
%dir %{_datadir}/icons/Bluecurve
%dir %{_datadir}/icons/hicolor
%dir /usr/lib/anaconda-runtime
%dir /usr/lib/anaconda-runtime/boot
%dir %{_datadir}/anaconda
%dir %{_datadir}/anaconda/pixmaps/
%dir %{_datadir}/kde-settings
%dir %{_datadir}/kde-settings/kde-profile
%dir %{_datadir}/kde-settings/kde-profile/default
%dir %{_datadir}/kde-settings/kde-profile/default/share
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/16x16
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/16x16/places
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/24x24
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/24x24/places
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/32x32
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/32x32/places
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/36x36
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/36x36/places
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/48x48
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/48x48/places
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/96x96
%dir %{_datadir}/kde-settings/kde-profile/default/share/icons/Fedora-KDE/96x96/places
%dir %{_kde4_appsdir}
# should be ifarch i386
/boot/grub/splash.xpm.gz
# end i386 bits

%changelog
* Thu Feb 21 2013 Thomas Uphill <thomas@narrabilis.com>
- update for 6.4

* Mon Oct 08 2012 Thomas Uphill <uphill@ias.edu>
- first springdale build, keeping some puias logos

* Thu Jun 10 2010 Thomas Uphill <uphill@ias.edu>
- changed from yellow to orange, updated orange to correct orange
* Tue Jun 8 2010 Thomas Uphill <uphill@ias.edu>
- updated to PUIAS 6
